| Home | Libraries | People | FAQ | More

## Struct template scale

boost::units::scale

## Synopsis

    // In header: <boost/units/scale.hpp>

    template<long Base, typename Exponent>
    struct scale {
      // types
      typedef Exponent exponent;
      typedef double   value_type;

      // public static functions
      static value_type value();

      // public data members
      static const long base;
    };

## Description

class representing a scaling factor such as 10^3 The exponent must be a static rational.

### `scale` public static functions

1.     static value_type value();